function createSilverlight(xamlPath)
{
	if (!xamlPath)
	{
		xamlPath = 'demo.xaml';
	}
	var scene = new Dvbbs.AlbumPage();
	Silverlight.createObjectEx({
		source: xamlPath,
		parentElement: document.getElementById("SilverlightControlHost"),
		id: "SilverlightControl",
		properties: {
			width: "775",
			height: "550",
			background:'#00000000',
			isWindowless: 'false',
			version: "1.0"
		},
		events: {
			onLoad: Silverlight.createDelegate(scene, scene.handleLoad),
			onError: function(){return;}
		}
	});
}


if (!window.Silverlight) 
	window.Silverlight = {};

Silverlight.createDelegate = function(instance, method) {
	return function() {
		return method.apply(instance, arguments);
	}
}